PASTIX_SRC  ?= ../../src
SCRIPT_PATH ?= ../../scripts/

.PHONY : clean

all : refcard.pdf 

apiC2latex : ${PASTIX_SRC}/common/src/api.h
	perl -I${SCRIPT_PATH}/ ${SCRIPT_PATH}/APIc2latex.pl $<

refcard.pdf : refcard.tex apifunctions.tex advanced.tex details.tex apiC2latex 
	rubber -d refcard.tex

clean :
	@rm -f refcard.aux refcard.log refcard.dvi 

cleanall : clean
	@rm -f refcard.pdf dparm.tex iparm.tex api.tex
